import request from '@/utils/request2'

export const QueryPage = params => {
  return request({
    url: '/api-web/sysMusicScore/queryPage',
    data: {},
    params,
    requestType: 'form'
  })
}

export const Add = data => {
  return request({
    url: '/api-web/sysMusicScore/add',
    method: 'post',
    data,
    params: {},
  })
}

export const Update = data => {
  return request({
    url: '/api-web/sysMusicScore/update',
    method: 'post',
    data,
    params: {},
  })
}

export const queryPageSysExam = data => {
  return request({
    url: '/api-web/sysMusicScoreAccompaniment/queryPage',
    method: 'get',
    params: data,
  })
}

export const Del = id => {
  return request({
    url: '/api-web/sysMusicScore/del',
    method: 'post',
    data: {},
    params: {
      id
    },
    requestType: 'form'
  })
}

export const queryTree = () => {
  return request({
    url: '/api-web/sysMusicScoreCategories/queryTree',
    method: 'get',
    data: {},
    params: {},
    requestType: 'form'
  })
}
